import request from '@/utils/request'

//标签文件夹
export function listTopTab(query) {
    return request({
        url: '/system/tabs/listTopTab',
        method: 'get',
        params: query
    })
}
//标签列表接口
export function listTab(query) {
    return request({
        url: '/system/tabs/listTab',
        method: 'get',
        params: query
    })
}
//标签柜员树接口
export function deptUser(query) {
    return request({
        url: '/system/tabs/deptUser',
        method: 'get',
        params: query
    })
}

//指标口径接口
export function listPot(data) {
    return request({
        url: `/system/tabs/listPot?tabThresholdType=${data}`,
        method: 'get',
    })
}  

//新增指标层级
export function addTabs(params) {
    return request({
        url: '/system/tabs/',
        method: 'post',
        data: params
    })
}  

//指标详情
export function getTabDetail(id) {
    return request({
        url: `/system/tabs/${id}`,
        method: 'get',
    })
}  

//指标删除
export function removeTabDetail(id) {
    return request({
        url: `/system/tabs/${id}`,
        method: 'delete',
    })
}  

//指标修改
export function editTabs(params) {
    return request({
        url: `/system/tabs/`,
        method: 'put',
        data:params
    })
}  

//启动、停用
export function operateUpdate(query) {
    return request({
        url: '/system/tabs/isStart',
        method: 'put',
        params: query
    })
}